Back to Redis

Status

content/operate/rs/7.4/references/rest-api/requests/ocsp/status.md

latest1.8 KB
Original Source
MethodPathDescription
GET/v1/ocsp/statusGet OCSP status

Get OCSP status {#get-status}

GET /v1/ocsp/status

Gets the latest cached status of the proxy certificate’s OCSP response.

Required permissions

Permission name
[view_ocsp_status]({{< relref "/operate/rs/7.4/references/rest-api/permissions#view_ocsp_status" >}})

Request {#get-request}

Example HTTP request

GET /v1/ocsp/status 

Request headers

KeyValueDescription
Hostcnm.cluster.fqdnDomain name
Acceptapplication/jsonAccepted media type

Response {#get-response}

Returns an [OCSP status object]({{< relref "/operate/rs/7.4/references/rest-api/objects/ocsp_status" >}}).

Example JSON body

json
{
    "responder_url": "http://responder.ocsp.url.com",
    "cert_status": "REVOKED",
    "produced_at": "Wed, 22 Dec 2021 12:50:11 GMT",
    "this_update": "Wed, 22 Dec 2021 12:50:11 GMT",
    "next_update": "Wed, 22 Dec 2021 14:50:00 GMT",
    "revocation_time": "Wed, 22 Dec 2021 12:50:04 GMT"
}

Error codes {#get-error-codes}

When errors occur, the server returns a JSON object with error_code and message fields that provide additional information. The following are possible error_code values:

CodeDescription
ocsp_unsupported_by_capabilityNot all nodes support OCSP capability
invalid_ocsp_responseThe server returned a response that is not OCSP-compatible

Status codes {#get-status-codes}

CodeDescription
200 OKSuccess
406 Not AcceptableFeature not supported in all nodes